Modem Diagnostics

About Modem Diagnostics

The Modem Diagnostics program will help you fix problems with your Intel(R) AnyPoint(R) DSL Modem. You should run Modem Diagnostics if you ever encounter problems with your modem.

The Modem Diagnostics program performs four sets of tests:

  • Driver/Modem Tests

  • Line Tests

  • ISP Connection Tests

  • Internet Tests

To run Modem Diagnostics:

  1. From the Start menu, select Programs > Intel(R) AnyPoint(R) DSL Modem > Modem Diagnostics.

  2. Click Run Diagnostics.

Note: You can also start the Modem Diagnostics program from the Connection Manager's Support page.

These tests are run sequentially until one fails or until they all pass successfully. If a problem is detected with the Modem Diagnostics program, click Troubleshoot for information on fixing the problem.


Driver/Modem Tests

The Driver/Modem Tests determine whether the driver and the hardware are installed correctly for the Intel(R) AnyPoint(R) DSL Modem. If the Driver/Modem Tests fail, your DSL connection may still work, but you will not experience optimal performance.

If the Driver/Modem Tests fail, use the following list of possible suggestions to troubleshoot the problem:

Modem software not installed correctly

Modem driver is not loaded

USB cable not attached

Modem is disabled

If none of these suggestions fixes the problem, reboot your computer and rerun the Modem Diagnostics. If the problem persists, uninstall the modem software and then reinstall it.

Description of the tests

  • The Driver Loaded Test checks whether the modem driver is installed correctly.

  • The Driver Loaded Optimally Test ensures that sufficient system resources have been allocated for the modem to operate optimally.


Line Tests

The Line Tests examine the physical connection between your computer and Intel(R) AnyPoint(R) DSL Modem to your ISP or telephone company. If the Line Tests fail, the physical connection between your AnyPoint(R) DSL Modem and your ISP or telephone company is experiencing a problem.

If you experience a failure on the Line Tests, check the phone line connection from your modem to your wall connection. If the problem continues, try the following suggestions and then rerun the tests:

Microfilter is installed incorrectly

Telephone cable is not attached

In-home wiring does not meet minimum standards

Line quality does not meet minimum requirements

Incompatible telephone

DSL service has not been activated

If your modem is unable to connect after trying the above suggestions, you can run the Intel AnyPoint DSL Auto Train program. This program automatically changes your modem settings to help establish a connection. To start Auto Train, do the following:

  1. Place the Installation CD into your computer's CD_ROM drive.

  2. Browse to your CD-ROM. Then open the Util folder and double-click autotrain.exe.

  3. Follow the instructions that appear.

Note: The Auto Train program may take up to 6 minutes to complete using default settings.

Description of the tests

  • The Modem Training Test ensures that the modem is training correctly. (What is "training"?)

  • The DSP Loopback Test checks to see if the hardware is functioning correctly by putting the DSP chip on the modem into loopback mode and attempting to transfer packets to itself. The DSP Loopback Test is not run if the modem passes the Modem Training Test.

  • The Signal-to-Noise-Ratio Test ensures that the line noise levels will not interfere with the DSL signal.

  • The Line Rate Test ensures that transfer rates are within acceptable limits.

If none of these suggestions fixes the problem, contact your ISP or telephone company and follow their instructions.


ISP Connection Tests

The ISP Connection Tests verify that your connection to your ISP is working properly.

If the ISP Connection Tests fail, try the following:

  1. Check that your user name and password are entered correctly in the Dial-Up Networking dialog box.

  2. Make sure that you have dialed into the network.

Description of the tests

  • The VPI/VCI Test checks to make sure the VPI and VCI numbers are correct and verifies your connection to your ISP.

  • The Line Protocol Test ensures that the connection type entered during the setup procedure is correct.

  • The Authentication Test verifies that you are connected to your ISP.


Internet Tests

The Internet Tests ensure that the Intel(R) AnyPoint(R) DSL Modem and your operating system are configured correctly to allow you to connect to the Internet.

If the Internet Tests fail, your computer won't be able to communicate with the Internet. Reboot your computer and run the Internet Tests again. If the Internet Tests continue to fail, do the following:

  1. Insert the Installation CD in your computer's CD-ROM drive.

  2. Wait for the Welcome Window to appear. If the Welcome window does not appear, browse to your CD-ROM drive and double-click Autorun.exe.

  3. Click the BT Openworld Software button to reinstall the BT Openworld software.

  4. Refer to the Installation Guide included in your modem kit for help with reinstalling the BT Openworld software.

When the installation is finished you may be asked to restart your PC.

Description of the tests

  • The Transport Protocol Binding Test checks to make sure that the correct protocols (specifically, the Transmission Control Protocols) are bound to your modem through the Windows* operating system.

  • The IP Ping Test ensures that the modem can access the internet by contacting a specific host name. (The default host name is www.btopenworld.com.) The IP Ping Test "pings" (that is, it attempts to contact) the host server several times. The test is successful if the modem receives a reply for each of the attempts.


DSL service has not been activated

In some cases, you may receive your DSL modem and installation software before your telephone company and your ISP have finished setting up your account.

Refer to the service installation date that was provided by your telephone company and verify that the date has passed. If it is after the date on which your service is supposed to be activated, contact your telephone company for assistance.


In-home wiring does not meet minimum standards

DSL shares the same phone lines with your existing phone calls. In many older homes, phone cables have been wired and rewired, often with different gauge wires, and often in ways that are not compatible with current standards. In many cases, the phone wires are just old and weathered. In those cases, high-frequency DSL signals are simply unable to be transmitted efficiently over the lines.

Check all of your telephone connections and junctions to ensure that they are all secure and tightly wired. Call your telephone company or a certified technician for assistance.

If you rewire, use 24-gauge wire.


Incompatible telephone

DSL shares the same set of copper wires that carry telephone calls into your home. In some cases, old or low-quality telephones can cause traffic to be generated on the copper lines, interfering with your DSL service.

If you suspect you may have such a phone, disconnect each telephone in your home one by one until the incompatible telephone is isolated. Replace this telephone.


IP settings are incorrect

About IP addresses:

DSL and the Internet use TCP/IP as the protocol to transport data across the World Wide Web. Your IP address is how your system is identified on the Internet. You must have an IP address to be on the Internet.

To verify that you have an IP address, launch Connection Manager and select the ISP Info tab. There must be a valid IP address displayed. If the IP address field reads N/A or 0.0.0.0, you do not have your connection set up properly.

Types of IP addresses:

There are two methods used to assign IP addresses to computers - Server Assigned (Dynamic, or DHCP), and Static (Permanent).

Server Assigned IP addresses are assigned randomly to users each time they connect to their ISP. These numbers are assigned from a pool of IP addresses that the ISP owns. The ISP uses a technology called DHCP to dynamically assign addresses.

Static (Permanent) IP addresses are also assigned to you by your ISP from their pool of available IP addresses. However, unlike dynamic IP addresses, if you are given a static address, it will be your machine's permanent address. (This is the preferred option if you are hosting a Web server.)

When you installed your modem, you selected a method for your ISP to use to give you an IP address. (Your ISP should have given you the method that they use.) If you selected the incorrect method or input the wrong static IP address or subnet mask, you will not be able to pass traffic on the Internet.

To verify your IP settings in Windows XP and Windows 2000:

  1. Open My Network Places.

  2. Double-click Network and Dial-Up Connections.

  3. Double-click the icon for your DSL connection.

  4. Click Properties.

  5. Select the Networking tab.

  6. Verify that Internet Protocol (TCP/IP) is checked and highlighted.

  7. Click Properties.

Examine the settings listed. If your ISP assigns addresses dynamically (DHCP), make sure the option to Obtain an IP Address Automatically is selected. If you have a static IP address, make sure the option to use a user-supplied IP address is selected, and that the IP address and DNS server(s) entered match those given to you by your ISP.

If the settings are incorrect, enter the correct IP address and DNS server(s).


Line quality does not meet minimum requirements

Signal quality that does not meet minimum requirements may interfere with your modem's ability to train. In some cases, you may be able to train and even pass traffic, but you may be disconnected from time to time due to poor line quality.

To check your line quality, start Connection Manager and select the Statistics tab. Look at the number for SNR Margin (dB). If this number is less than 6, you may not be able to train, and you are unlikely to be able to pass traffic reliably.

Bad line quality may have several causes. You might be too far from the your telephone company central office, or there might be "bridge taps" between you and the central office. These are problems that your telephone company must assess. Your in-home wiring may be an issue as well. Read the following tip to see if your in-home wiring might be a problem:

In-home wiring does not meet minimum standards

After checking your home wiring, you may need to contact your telephone company technical support for additional assistance. They can often determine whether the bad lines are inside or outside your home, and may need to correct the problem if the bad lines are between your home and the central office.


Microfilter is installed incorrectly

Microfilters filter out all DSL traffic. If you have a microfilter installed incorrectly, your modem may not operate. For detailed information on installing microfilters, refer to your installation guide. The illustration below shows a correctly installed microfilter.

What are Microfilters?


Modem driver is not loaded

If the driver for the Intel(R) AnyPoint(R) DSL Modem did not load properly, you will not be able to connect to your DSL link or your ISP. Try uninstalling your modem software then re-installing.

To uninstall the modem software:

  1. Select Start > Programs > Intel(R) AnyPoint(R) DSL Modem > Uninstall.

  2. When you are prompted to restart your computer, click NO and shut down your computer instead.

  3. Physically remove your modem and then restart your computer.

Reinstall the modem using the instructions in the Installation Guide.


Modem is disabled

The modem may be disabled in your system settings. Use the Windows* Device Manager to confirm that the modem is enabled. If the modem is plugged in and enabled and it is still undetected by the Driver/Modem Test, the modem may be malfunctioning.

To check the Windows* Device Manager to verify that your modem is installed and functioning correctly, do the following:

To view Windows Device Manager:

  1. Right-click the My Computer icon on the desktop.

  2. Select Properties.

  3. Click the Hardware tab.

  4. Click the Device Manager button.

  5. Locate Network Adapters and expand the heading to expose all installed adapters.

Note: Your DSL modem is actually a network adapter, and will appear in Device Manager under Network Adapters, not as a modem. Do not look for the Intel(R) AnyPoint(R) DSL Modem in the Modem section of Device Manager.

If Device Manager shows a red "X" or a yellow "!" next to the Intel(R) AnyPoint(R) DSL Modem, the modem is not functioning properly. Select the device and click the Uninstall icon on the task bar (a computer with a red X covering it). Place the Intel(R) AnyPoint(R) DSL Modem CD in your CD-ROM drive and restart your computer. This will cause Windows to detect the adapter, and you will be able to reinstall it. After installation, verify in Device Manager that the modem is functioning properly.

If the Intel(R) AnyPoint(R) DSL Modem does not appear under Network Adapters, look for it under Other Devices. If the modem is listed there, select it and click the Uninstall button on the task bar.

Shut down and restart your computer and then run Modem Diagnostics again. If the problem persists, call your ISP or telephone company.


Modem software is not installed correctly

The modem software is not installed correctly. Try uninstalling your modem software then re-installing.

To uninstall the modem software:

  1. Select Start > Programs > Intel(R) AnyPoint(R) DSL Modem > Uninstall.

  2. When you are prompted to restart your computer, click NO and shut down your computer instead.

  3. Physically remove your modem and then restart your computer.

Reinstall the modem using the instructions in the Installation Guide.


Other Companies Trademarks

*Other names and brands may be claimed as the property of others.


Telephone cable is not attached

Telephone cable not attached

Be sure that the supplied telephone cable is firmly attached to the modem on one end and to the microfilter on the other end. The microfilter should be connected to the phone outlet at the wall.


USB cable not attached

Be sure that the supplied USB cable is firmly attached to the modem on one end and to your computer's USB port on the other end.


USB controller is not enabled

Computers that are equipped with USB ports generally are shipped with the controller for those ports enabled and functional. In a few cases, the controller may not have been enabled, or a user may have chosen to disable the controller in the computer's BIOS. If the controller is disabled, your Intel(R) AnyPoint(R) DSL Modem will not work. The modem relies on the USB controller both for power and to transmit data.

If you have another USB device (camera, speakers, scanner, and so on.), and that device works with your computer, your USB controller is enabled. If other USB devices that you may have are not working with your computer, or you have never used another USB device with your computer, the controller may be disabled. Consult your computer's owner's manual for information about entering the BIOS and enabling the USB controller.


What are Microfilters?

One feature of DSL technology is that it allows Internet traffic to share existing telephone lines simultaneously with other voice or data traffic. "Phone lines" can carry many different types of signals at different frequencies. Voice traffic uses only a small range along the lines. Other technology (including home networking, security systems, and DSL) uses different frequencies, and can therefore coexist on the lines.

However, "noise" from one technology's signal can sometimes cross into another frequency area and interfere with that signal. Microfilters are small fixtures that attach to your telephone lines to allow only certain types of traffic to pass through, filtering out the rest. With DSL, microfilters filter DSL noise from lines leading to telephones, fax machines, and security systems. Those devices are then able to function properly, free of unwanted static or signal interruptions.


What is "training"?

When you dial a conventional analog modem, you generally hear a lot of noise as the connection is being established. DSL modems, similar to your analog modem, negotiates (without the noise) with the phone company equipment to establish a set of rules by which both will communicate. This is called training. Your connection data transfer rates are established during training. Training needs to happen anytime you lose connection with the telephone company’s equipment, such as when you restart your computer.

Training is a separate process from logging in to your ISP. However, they are often viewed as the same as they happen consecutively. You might be able train without being able to log in to your ISP. You can not log in to your ISP without the modem first being trained.


Wrong VPI/VCI numbers

Wrong "phone number" in Dial-Up Network Connection

Instead of using a familiar seven- or ten-digit phone number, as dial-up service to an ISP uses, DSL uses VPI/VCI (Virtual Path Identifier/Virtual Channel Identifier) combinations to route the DSL "call" to the ISP. These numbers show up as the phone number when using a PPPoA connection type.

To verify that you have the correct VPI/VCI numbers in your dial-up connection, right-click on My Network Places, and select Properties. Select the connection to your DSL provider in the Network and Dial-Up Connections window, right-click on it, and select Properties. On the General tab of the Properties window, click on Internet Protocol (TCP/IP), and click the Properties button beneath it. Identify VPI and VCI on the menu displayed, and verify that the number configured for each is correct.